package com.pnkx.service;

import com.pnkx.domain.po.PxSubscribe;

import java.util.List;

/**
 * @author by PHY
 * @Classname IPxAdminSubscribeService
 * @date 2021-06-17 15:34
 */
public interface IPxSubscribeService {


    /**
     * 查询订阅
     *
     * @param id 订阅ID
     * @return 订阅
     */
    PxSubscribe selectPxSubscribeById(Long id);

    /**
     * 查询订阅列表
     *
     * @param pxSubscribe 订阅
     * @return 订阅集合
     */
    List<PxSubscribe> selectPxSubscribeList(PxSubscribe pxSubscribe);

    /**
     * 新增订阅
     *
     * @param pxSubscribe 订阅
     * @return 结果
     */
    int insertPxSubscribe(PxSubscribe pxSubscribe);

    /**
     * 修改订阅
     *
     * @param pxSubscribe 订阅
     * @return 结果
     */
    int updatePxSubscribe(PxSubscribe pxSubscribe);

    /**
     * 批量删除订阅
     *
     * @param ids 需要删除的订阅ID
     * @return 结果
     */
    int deletePxSubscribeByIds(Long[] ids);

    /**
     * 删除订阅信息
     *
     * @param id 订阅ID
     * @return 结果
     */
    int deletePxSubscribeById(Long id);
}
